Subject: Re: problems with e1000 and jumboframes

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 5 Aug 2006 14:41:36 +0400

On Sat, Aug 05, 2006 at 08:33:07PM +1000, Herbert Xu ([email-masked]) wrote:
> On Sat, Aug 05, 2006 at 02:24:36PM +0400, Evgeniy Polyakov wrote:
> >
> > > If we had a flag to indicate writability we could also have a flag to
> > > indicate that the memory comes from kmalloc rather than alloc_page.
> > 
> > Yes, that would be good, but who will give us a bit in the struct page?
> > Can we recreate frag_list elements to be a bitmasks and steal couple
> > of them there, so we would not increase fragment's structure size?
> 
> I wasn't thinking of a bit in struct page, but rather a bit in skb_frag_t.

Actually we can look into struct page, namely into page->lru.next,
PG_slab bit or page->private (for combined pages), which are pointers to 
the appropriate cache, if given page was obtained through kmalloc.
Or we can create bitmaks in fragments.

> Cheers,
> -- 
> Visit Openswan at http://www.openswan.org/
> Email: Herbert Xu ~{PmV>HI~} <[email-masked]>
> Home Page: http://gondor.apana.org.au/~herbert/
> PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt

-- 
	Evgeniy Polyakov